Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class TaskDueStateEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.groupware.TaskStatusEnum
                  |
                  +--com.compoze.collab.domino.TaskDueStateEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class TaskDueStateEnum
extends TaskStatusEnum
implements java.io.Serializable

An enumeration of the task due states. The enumeration class that contains `TaskDueState` elements.

See Also:
  Serialized Form

Field Summary
`static int` | `NUM_ELEMENTS`
`static TaskDueState` | `OVERDUE` The overdue task due state.
`static TaskDueState` | `REJECTED` The rejected task due state.
`static int` | `VALUE_OVERDUE`
`static int` | `VALUE_REJECTED`

Fields inherited from class com.compoze.collab.groupware.TaskStatusEnum
`COMPLETED, IN_PROGRESS, NOT_STARTED, VALUE_COMPLETED, VALUE_IN_PROGRESS, VALUE_NOT_STARTED`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `TaskDueStateEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `TaskDueStateEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_REJECTED

    public static final int VALUE_REJECTED

### VALUE_OVERDUE

    public static final int VALUE_OVERDUE

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### REJECTED

    public static final TaskDueState REJECTED

  The rejected task due state.

### OVERDUE

    public static final TaskDueState OVERDUE

  The overdue task due state.

Constructor Detail

### TaskDueStateEnum

    protected TaskDueStateEnum(java.lang.Class elementClass,
                               int iNumElements,
                               com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                               EnumElement defaultElement,
                               java.lang.String sInternalName,
                               boolean bMaskable)

  Constructor.

### TaskDueStateEnum

    protected TaskDueStateEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.